import styles from "./TodoForm.module.css";
const TodoForm = ({ input, error, handleInputChange, handleSubmit }) => {
  return (
   
      <form className={styles.form} onSubmit={handleSubmit}>
        <div className={styles['input-wrapper']}>
        <input
          type="text"
          value={input}
          className={`${styles.input} ${error ? styles.inputError : ""}`}
          placeholder="Enter Item"
          onChange={handleInputChange}
          />
          {error && <div className={styles.errorText}>{error}</div>}
          </div>
        <button type="submit" className={styles.button}>Submit</button>
      </form>
    
  );
};

export default TodoForm;
