import TodoItem from "../TodoItem/TodoItem";
import styles from "./TodoList.module.css";

const TodoList = ({ todos, handleToggleComplete, handleUpdate, handleDelete, updateErrors }) => (
  <ul className={styles.task}>
    {todos.map((item) => (
      <TodoItem key={item.id} item={item} handleToggleComplete={handleToggleComplete} handleUpdate={handleUpdate} handleDelete={handleDelete} error={updateErrors[item.id]}
      />
    ))}
  </ul>
);

export default TodoList;
